> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revoengine.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Apply changes to instance config.

> 
    ROLES: INSTANCE_ADMIN
    USER: true
    SERVICE ACCOUNT: true
    



## OpenAPI

````yaml put /api/v1/config/instance
openapi: 3.0.0
info:
  title: RevoEngine Platform API
  description: >-
    Official documentation of RevoEngine Platform API<br>Build:
    67df453bb5b0f9b2894535729c66632b73a015a6
  version: Beta - 0.1.0
  contact:
    name: Support
    url: https://help.revong.com
    email: support@revong.com
  termsOfService: https://docs.revong.com/tos
servers:
  - url: https://api.revong.com
    description: RevoEngine Platform API - Production
  - url: https://api.test.revong.com
    description: RevoEngine Platform API - Test
security: []
tags: []
externalDocs:
  description: Documentation
  url: https://docs.revong.com
paths:
  /api/v1/config/instance:
    put:
      tags:
        - Config
      summary: Apply changes to instance config.
      description: |2-

            ROLES: INSTANCE_ADMIN
            USER: true
            SERVICE ACCOUNT: true
            
      operationId: ConfigController_instanceConfig
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InstanceConfigDto'
      responses:
        '200':
          description: ''
        '401':
          description: Not authorized.
      security:
        - bearer: []
components:
  schemas:
    InstanceConfigDto:
      type: object
      properties:
        version:
          type: number
          description: Version.
        versionComment:
          type: string
          description: Change comment
        usersAllowApiKeysUsers:
          type: boolean
        usersAllowMailChange:
          type: boolean
        usersAllowPasswordLogin:
          type: boolean
        usersDisableEmailVerification:
          type: boolean
        eventsTriggerEvent:
          type: boolean
        eventsEncrypt:
          type: boolean
        eventsEncryptKey:
          type: string
        eventsTriggerFinalized:
          type: boolean
        eventsTriggerMetaUpdate:
          type: boolean
        eventsTriggerDelete:
          type: boolean
        eventTriggerUser:
          type: string
        providers:
          type: array
          items:
            type: string
        usersAllowPasswordLoginIds:
          type: array
          items:
            type: string
        disableSupport:
          type: boolean
        usersAutoEnabled:
          type: boolean
        usersAutoGroups:
          type: array
          items:
            type: string
        usersAutoRoleGroups:
          type: array
          items:
            type: string
        usersAutoProviders:
          type: array
          items:
            type: string
        usersAutoData:
          type: object
      required:
        - version
        - versionComment
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token with Platform JWT token or API Key.
      type: http

````